GuideLab API

Get conversation by ID

Retrieve a single conversation with its partner organization, linked order, and last message sender details. Only accessible by organizations that are part of the conversation's partnership.

GET
/conversations/{id}

Retrieve a single conversation with its partner organization, linked order, and last message sender details. Only accessible by organizations that are part of the conversation's partnership.

Authorization

__Secure-guidelab-prod.session_token<token>

Production session cookie set for the guidelab.co domain by Better Auth

In: cookie

Path Parameters

id*string

Response Body

application/json

curl -X GET "https://example.com/conversations/550e8400-e29b-41d4-a716-446655440000"
{  "data": {    "id": "string",    "partnershipId": "string",    "orderId": "string",    "title": "string",    "lastMessageId": "string",    "lastMessageAt": "string",    "lastMessagePreview": "string",    "lastMessageSenderId": "string",    "unreadCounts": {      "property1": 0,      "property2": 0    },    "createdAt": "string",    "updatedAt": "string",    "partner": {      "id": "string",      "name": "string",      "nameMissing": true,      "logo": "string"    },    "order": {      "id": "string",      "orderNumber": "string",      "status": "string"    },    "lastMessageSender": {      "id": "string",      "name": "string",      "image": "string"    },    "draftContext": {      "clinicName": "string",      "clinicNameMissing": true,      "doctorName": "string",      "patientInitials": "string",      "targetDeliveryDate": "string",      "items": [        {          "id": "string",          "productName": "string",          "materialName": "string",          "quantity": 0,          "teethCount": 0        }      ]    }  }}
Empty
Empty
Empty